Loading...
Searching...
No Matches
DataProvider::ImplicitModuleTransaction Class Reference

Implements a mechanism to roll back changes made in external module initialization if an error occurs. More...

`#include <ImplicitModuleTransaction.qc.dox.h>`

## Public Member Functions

| destructor ()
| Executes all rollback code if there is an active exception in module initialization.

## Static Public Member Functions

static | add (code rb_code)
| Adds a rollback closure to be executed if there is an active exception in module initialization.

## Protected Member Functions

| addRollback (code rb_code)
| Adds a rollback closure to be executed if there is an active exception in module initialization.

## Detailed Description

Implements a mechanism to roll back changes made in external module initialization if an error occurs.